﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class POGameManager : MonoBehaviour
{

	public GameObject[] Planets;

	public GameObject Line;

	public GameObject Vaissel;

	// Use this for initialization
	void Start ()
	{
	}
	
	// Update is called once per frame
	void Update ()
	{
		ManagePlanets();
		ManageVaissels();
        Line.GetComponent<Line>().testVaisseau = Vaissel;
        if (Input.GetKeyDown(KeyCode.Escape))
        {
            SceneManager.LoadScene(0);
        }
	}

	private void ManagePlanets()
	{
		foreach (GameObject planet in Planets)
		{
			PlanetDisplay Planet = planet.GetComponent<PlanetDisplay>();
			Planet.UpdateProduction(Time.deltaTime);
		}
	}

	private void ManageVaissels()
	{
		VaiselController vaissel = Vaissel.GetComponent<VaiselController>();
		// Si le vaisseau est sur une planète et n'a pas encore chargé les ressources.
		if (vaissel.IsOnPlanet && vaissel.ShouldLoad)
		{
			vaissel.ShouldLoad = false;
			vaissel.Load();
			vaissel.Print();
		}
	}
}
