﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

[CreateAssetMenu(fileName = "new_planet", menuName = "Object/Planet")]
public class Planet : ScriptableObject
{

	public float MetalCoef;
	public float VoidiumCoef;
	public float QuartzCoef;

	public int MetalMax;
	public int QuartzMax;
	public int VoidiumMax;

	public string Name;

	public Sprite Artwork;

	public void print()
	{
		Debug.Log(message: Name);
	}

}
