﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using UnityEngine;

[CreateAssetMenu(fileName = "new_vaissel", menuName = "Object/Vaissel")]
public class Vaisel : ScriptableObject
{
	public Sprite ArtWork;

	private int _segment;

	private Vector2 _point;

	public float MetalMax;
	public float QuartzMax;
	public float VoidiumMax;


	public Vaisel()
	{
	}

	public void print()
	{
		Debug.Log("Hello");
	}

	public Vector2 Point
	{
		get { return _point; }
		set { _point = value; }
	}

	public int Segment
	{
		get { return _segment; }
	set { _segment = value; }
	}
}