﻿using System.Collections;
using System.Collections.Generic;
//using UnityEditor;
using UnityEngine;

public class WaveFactory : MonoBehaviour
{
    public static int EnemiesAlive = 0;
    
    public float timeBetweenWaves = 5f;
    public float countdown = 2f;

    public Wave[] Waves; 

    private int waveIndex = 0;

    private int WaveSize;
    
	// Use this for initialization
    private void Start ()
    {
        
    }

    private void Update()
    {
        if (EnemiesAlive > 0)
        {
            return;
        }
        if (countdown <= 0f)
        {
            StartCoroutine(SpawnMinionLevel());
            countdown = timeBetweenWaves;
            return;
        }
        
        countdown -= Time.deltaTime;

        countdown = Mathf.Clamp(countdown, 0f, Mathf.Infinity);

    }

    IEnumerator SpawnMinionLevel()
    {
        Wave wave = Waves[waveIndex];
        
        for (int i = 0; i < wave.EnnemyNumber; i++)
        {
            spawnMinion(wave.Ennemy);
            yield return new WaitForSeconds(1f/Random.Range(wave.SpawnRate*0.6f, wave.SpawnRate*1.4f));
        }
        waveIndex++;
    }

    void spawnMinion(GameObject minion)
    {
        Instantiate(minion);
        EnemiesAlive++;

    }

}
