﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Path {
    public Vector2[] points;
    
    public Path(Vector2[] points)
    {
        this.points = points;
    }

    public Vector2 GetStartPoint()
    {
        return points[0];
    }

    public Vector2 GetEndPoint()
    {
        return points[points.Length-1];
    }

    public Vector2[] GetPoints()
    {
        return points;
    }

    public void SetEndPoint(Vector2 newEndPoint)
    {
        points[points.Length-1] = newEndPoint;
    }

    public void Reverse()
    {
        Vector2[] tmp = new Vector2[points.Length];
        for(int i = 0; i < points.Length; i++)
        {
            tmp[tmp.Length - i - 1] = points[i];
        }
        points = tmp;
    }
}
